## org.gjt.sp.util
Interface WorkThreadProgressListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  StatusBar

    public interface WorkThreadProgressListener

extends java.util.EventListener

A work thread execution progress listener.

Since:
  jEdit 2.6pre1

Method Summary
`void` `progressUpdate(WorkThreadPool threadPool, int threadIndex)`
`void` `statusUpdate(WorkThreadPool threadPool, int threadIndex)`

Method Detail

### statusUpdate

    void statusUpdate(WorkThreadPool threadPool,
                      int threadIndex)

### progressUpdate

    void progressUpdate(WorkThreadPool threadPool,
                        int threadIndex)